ChangeSet 1.1254.4.16, 2003/06/04 12:30:35-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in sound/pci/rme9652/hammerfall_mem.c


 sound/pci/rme9652/hammerfall_mem.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)


diff -Nru a/sound/pci/rme9652/hammerfall_mem.c b/sound/pci/rme9652/hammerfall_mem.c
--- a/sound/pci/rme9652/hammerfall_mem.c	Wed Jun  4 18:11:13 2003
+++ b/sound/pci/rme9652/hammerfall_mem.c	Wed Jun  4 18:11:13 2003
@@ -205,7 +205,7 @@
 static int __init alsa_hammerfall_mem_init(void)
 {
 	int i;
-	struct pci_dev *pci;
+	struct pci_dev *pci = NULL;
 	hammerfall_buf_t *rbuf;
 
 	/* make sure our buffer records are clean */
@@ -225,12 +225,12 @@
 	
 	i = 0;	/* card number */
 	rbuf = hammerfall_buffers;
-	pci_for_each_dev(pci) {
+	while ((pci = pci_find_device(PCI_VENDOR_ID_XILINX, PCI_ANY_ID, pci)) != NULL) {
 		int k;
 		
 		/* check for Hammerfall and Hammerfall DSP cards */
 
-		if (pci->vendor != 0x10ee || (pci->device != 0x3fc4 && pci->device != 0x3fc5)) 
+		if (pci->device != 0x3fc4 && pci->device != 0x3fc5)
 			continue;
 
 		if (!enable[i])
